Page MenuHomePhabricator

Allow items in Cape Verdean Creole (kea) in Wikidata
Closed, ResolvedPublic

Description

Original request submitted here, moved now to phabricator per GZWDer (@Bugreporter)'s suggestion.

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 19 2016, 12:23 PM
Nikki added a subscriber: Nikki.Feb 19 2016, 3:57 PM

This is already one of the languages listed as missing on T74126.

Thanks @Nikki, I'll mark this as a dependency.

adrianheine added a subscriber: adrianheine.EditedFeb 24 2016, 9:48 AM

Sorry, T74126 is about monolingual text, not terms. We will take care of this, though :)

This is a living language. No problem
Thanks,

GerardM
thiemowmde triaged this task as Lowest priority.Jul 5 2016, 2:03 PM
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde added a subscriber: thiemowmde.

Currently we still can not add term languages (for labels, descriptions and aliases) that are not one of the MediaWiki content languages. Which seems to be resolved for kea. When I go to https://www.wikidata.org/wiki/Q9351?uselang=kea it seems what this ticket is asking for is already possible. Can you please check if this is already "magically" resolved?

Nikki added a comment.Jul 5 2016, 2:19 PM

It's still not possible. If you try to actually save a value, it says "Unrecognized value for parameter 'language': kea"

Change 297406 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add support for Cape Verdean Creole (kea)

https://gerrit.wikimedia.org/r/297406

thiemowmde claimed this task.

Please check T127935 for how this is currently done.

Change 297556 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add Cape Verdean Creole (kea) as extra language for wikidata

https://gerrit.wikimedia.org/r/297556

Please check T127935 for how this is currently done.

Thanks Thiemo for handling this in Wikidata, please abandon the core patch.

please abandon the core patch.

Why? Is there something wrong with it?

please abandon the core patch.

Why? Is there something wrong with it?

Yes, it's against policy and it has nothing to do with this task. (It's also not pretty to have such a lengthy conversation about language additions in gerrit; Phabricator or mediawiki.org would be better, if someone wishes to challenge the status quo.)

  • Which policy?
  • I'm not involved in any discussion. Please point the user to the proper ticket if there is one, or help him create one.
  • I'm sure it doesn't need me to abandon a patch. As I said, I don't care much.

Change 297556 merged by jenkins-bot:
Add Cape Verdean Creole (kea) as extra language for wikidata

https://gerrit.wikimedia.org/r/297556

aude closed this task as Resolved.Jul 11 2016, 11:13 PM
aude removed a project: Patch-For-Review.
aude moved this task from Review to Done on the Wikidata-Sprint-2016-07-05 board.Jul 11 2016, 11:17 PM

Change 297406 abandoned by Thiemo Mättig (WMDE):
Add support for Cape Verdean Creole (kea)

Reason:
The list of languages Wikidata supports but MediaWiki does not is getting longer, see I232c6c4. I'm not a fan of this.

https://gerrit.wikimedia.org/r/297406

Wikidata may support over 7000 languages; all the languages that are recognised are allowed.
Thanks,

GerardM